Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class OperationalStatusMonitorByObjectsValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.ManagedEntityValueImpl
              com.sun.management.oss.impl.pm.opstatus.PmManagedEntityValueImpl
                  com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorValueImpl
                      com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorByObjectsValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, OperationalStatusMonitorByObjectsValue, OperationalStatusMonitorValue, java.io.Serializable, SerializerFactory

public class OperationalStatusMonitorByObjectsValueImpl
extends OperationalStatusMonitorValueImpl
implements OperationalStatusMonitorByObjectsValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorByObjectsValue
`MEASUREMENT_ATTRIBUTES, OBSERVED_OBJECTS, VALUE_TYPE`

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`GRANULARITY_PERIOD, NAME, REPORT_BY_EVENT, REPORT_BY_FILE, REPORT_FORMAT, SCHEDULE, STATE`

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Constructor Summary
`OperationalStatusMonitorByObjectsValueImpl()`

Method Summary
`java.lang.Object` | `clone()` Return a deep copy of this value.
`javax.management.ObjectName[]` | `getObservedObjects()` Returns a list of observable object distinguished names.
`OperationalStatusAttributeDescriptor` | `makeOperationalStatusAttributeDescriptor()` Creates a new instance of the OperationalStatusAttributeDescriptor interface.
`void` | `setObservedObjects(javax.management.ObjectName[] observedObjects)` Sets the observable object that shall be monitored.

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorValueImpl
`getGranularityPeriod, getName, getOperationalStatusMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getSchedule, getState, makeOperationalStatusMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setManagedEntityKey, setName, setOperationalStatusMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setSchedule, setState`

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.PmManagedEntityValueImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.ManagedEntityValueImpl
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`getGranularityPeriod, getName, getOperationalStatusMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getSchedule, getState, makeOperationalStatusMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setName, setOperationalStatusMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setSchedule, setState`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### OperationalStatusMonitorByObjectsValueImpl

    public OperationalStatusMonitorByObjectsValueImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ManagedEntityValue`
  Return a deep copy of this value.

  Specified by:
    `clone` in interface `ManagedEntityValue`
  Overrides:
    `clone` in class `OperationalStatusMonitorValueImpl`
  Returns:
    String The name of the measurement job.

### makeOperationalStatusAttributeDescriptor

    public OperationalStatusAttributeDescriptor makeOperationalStatusAttributeDescriptor()

  Description copied from interface: `OperationalStatusMonitorByObjectsValue`
  Creates a new instance of the OperationalStatusAttributeDescriptor interface.

  Specified by:
    `makeOperationalStatusAttributeDescriptor` in interface `OperationalStatusMonitorByObjectsValue`
  Returns:
    OperationalStatusAttributeDescriptor The created object. The object is empty.

### getObservedObjects

    public javax.management.ObjectName[] getObservedObjects()
                                                     throws java.lang.IllegalStateException

  Description copied from interface: `OperationalStatusMonitorByObjectsValue`
  Returns a list of observable object distinguished names.

  Specified by:
    `getObservedObjects` in interface `OperationalStatusMonitorByObjectsValue`
  Returns:
    javax.management.ObjectName[] List of observable object distinguished names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `OperationalStatusMonitorByObjectsValue.setObservedObjects(javax.management.ObjectName[])`

### setObservedObjects

    public void setObservedObjects(javax.management.ObjectName[] observedObjects)
                            throws java.lang.IllegalArgumentException

  Description copied from interface: `OperationalStatusMonitorByObjectsValue`
  Sets the observable object that shall be monitored.

  The observable objects will be validated when the value object is passed to the operational status monitor bean. Only fully qualified ObjectName instances are accepted (no patterns).

  The supported observable objects can be retrieved by using the OperationalStatusMonitor.getObservableObjects

  Specified by:
    `setObservedObjects` in interface `OperationalStatusMonitorByObjectsValue`
  Parameters:
    `observedObjects` - List of observable object distinguished names.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `OperationalStatusMonitorByObjectsValue.getObservedObjects()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD